This job view page is being replaced by Spyglass soon. Check out the new job view.
PRandyzhangx: test: add github action
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-09-12 06:16
Elapsed10m52s
Revision76a5227dd76d609caa0b720aa9173a5e295e62b2
Refs 236

No Test Failures!


Error lines from build-log.txt

... skipping 161 lines ...
pod/tiller-deploy-78f484dbbd-bpbtq condition met
helm version
Client: &version.Version{SemVer:"v2.11.0", GitCommit:"2e55dbe1fdb5fdb96b75ff144a339489417b146b", GitTreeState:"clean"}
Server: &version.Version{SemVer:"v2.13.1", GitCommit:"618447cbf203d147601b4b9bd7f8c37a5d39fbb4", GitTreeState:"clean"}
# Only build and push the image if it does not exist in the registry
docker pull k8sprow.azurecr.io/blob-csi:e2e-42a13304608224b8447ebf431a3f08d7f590cc8f || make blob-container push
Error response from daemon: manifest for k8sprow.azurecr.io/blob-csi:e2e-42a13304608224b8447ebf431a3f08d7f590cc8f not found: manifest unknown: manifest tagged by "e2e-42a13304608224b8447ebf431a3f08d7f590cc8f" is not found
make[2]: Entering directory '/home/prow/go/src/sigs.k8s.io/blob-csi-driver'
docker buildx rm container-builder || true
no builder "container-builder" found
docker buildx create --use --name=container-builder
container-builder
docker buildx build --no-cache --build-arg LDFLAGS="-X sigs.k8s.io/blob-csi-driver/pkg/blob.driverVersion=e2e-42a13304608224b8447ebf431a3f08d7f590cc8f -X sigs.k8s.io/blob-csi-driver/pkg/blob.gitCommit=42a13304608224b8447ebf431a3f08d7f590cc8f -X sigs.k8s.io/blob-csi-driver/pkg/blob.buildDate=2020-09-12T06:22:29Z -s -w -extldflags '-static'" -t k8sprow.azurecr.io/blob-csi:e2e-42a13304608224b8447ebf431a3f08d7f590cc8f -f ./pkg/blobplugin/Dockerfile --platform="linux/amd64" --push .
... skipping 276 lines ...
#13 9.992 Building dependency tree...
#13 10.25 Reading state information...
#13 10.54 The following additional packages will be installed:
#13 10.55   cmake-data libarchive13 libblkid1 libc-dev-bin libc6-dev libcom-err2
#13 10.55   libcurl3-gnutls libcurl4 libdpkg-perl libevent-2.1-6 libexpat1 libfuse2
#13 10.55   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#13 10.55   libgnutls-dane0 libgnutls-openssl27 libgnutlsxx28 libgpg-error-dev
#13 10.55   libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1 libk5crypto3 libkeyutils1
#13 10.55   libkrb5-3 libkrb5support0 libldap-2.4-2 libldap-common libmount1 libncurses6
#13 10.55   libncursesw6 libnghttp2-14 libp11-kit-dev libpcre16-3 libpcre2-8-0
#13 10.55   libpcre3-dev libpcre32-3 libpcrecpp0v5 libperl5.28 libprocps7 libpsl5
#13 10.55   librhash0 librtmp1 libsasl2-2 libsasl2-modules-db libselinux1-dev
#13 10.55   libsepol1-dev libssh2-1 libssl1.1 libtasn1-6-dev libtinfo6 libunbound8
... skipping 15 lines ...
#13 11.30 The following NEW packages will be installed:
#13 11.30   ca-certificates cmake cmake-data libarchive13 libblkid1 libc-dev-bin
#13 11.30   libc6-dev libcom-err2 libcurl3-gnutls libcurl4 libcurl4-gnutls-dev
#13 11.30   libdpkg-perl libevent-2.1-6 libexpat1 libfuse-dev libfuse2 libgcrypt20-dev
#13 11.30   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#13 11.30   libgnutls-dane0 libgnutls-openssl27 libgnutls28-dev libgnutlsxx28
#13 11.30   libgpg-error-dev libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1
#13 11.30   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2
#13 11.30   libldap-common libmount1 libncurses6 libncursesw6 libnghttp2-14
#13 11.30   libp11-kit-dev libpcre16-3 libpcre2-8-0 libpcre3-dev libpcre32-3
#13 11.30   libpcrecpp0v5 libperl5.28 libprocps7 libpsl5 librhash0 librtmp1 libsasl2-2
#13 11.30   libsasl2-modules-db libselinux1-dev libsepol1-dev libssh2-1 libssl1.1
#13 11.30   libtasn1-6-dev libtinfo6 libunbound8 libuuid1 libuv1 libxml2 linux-libc-dev
... skipping 56 lines ...
#13 12.84 Get:52 http://deb.debian.org/debian buster/main amd64 libpcre16-3 amd64 2:8.39-12 [259 kB]
#13 12.85 Get:53 http://deb.debian.org/debian buster/main amd64 libpcre32-3 amd64 2:8.39-12 [250 kB]
#13 12.86 Get:54 http://deb.debian.org/debian buster/main amd64 libpcrecpp0v5 amd64 2:8.39-12 [152 kB]
#13 12.86 Get:55 http://deb.debian.org/debian buster/main amd64 libpcre3-dev amd64 2:8.39-12 [650 kB]
#13 12.88 Get:56 http://deb.debian.org/debian buster/main amd64 libselinux1-dev amd64 2.8-1+b1 [169 kB]
#13 12.89 Get:57 http://deb.debian.org/debian buster/main amd64 libfuse-dev amd64 2.9.9-1+deb10u1 [152 kB]
#13 12.89 Get:58 http://deb.debian.org/debian buster/main amd64 libgpg-error-dev amd64 1.35-1 [124 kB]
#13 12.90 Get:59 http://deb.debian.org/debian buster/main amd64 libgcrypt20-dev amd64 1.8.4-5 [608 kB]
#13 12.92 Get:60 http://deb.debian.org/debian buster/main amd64 libmount1 amd64 2.33.1-0.1 [207 kB]
#13 12.93 Get:61 http://deb.debian.org/debian buster/main amd64 libglib2.0-0 amd64 2.58.3-2+deb10u2 [1258 kB]
#13 12.97 Get:62 http://deb.debian.org/debian buster/main amd64 libgmpxx4ldbl amd64 2:6.1.2+dfsg-4 [22.9 kB]
#13 12.97 Get:63 http://deb.debian.org/debian buster/main amd64 libgmp-dev amd64 2:6.1.2+dfsg-4 [628 kB]
#13 12.99 Get:64 http://deb.debian.org/debian buster/main amd64 libunbound8 amd64 1.9.0-2+deb10u2 [462 kB]
... skipping 178 lines ...
#13 28.57 Selecting previously unselected package libselinux1-dev:amd64.
#13 28.57 Preparing to unpack .../55-libselinux1-dev_2.8-1+b1_amd64.deb ...
#13 28.58 Unpacking libselinux1-dev:amd64 (2.8-1+b1) ...
#13 28.66 Selecting previously unselected package libfuse-dev.
#13 28.67 Preparing to unpack .../56-libfuse-dev_2.9.9-1+deb10u1_amd64.deb ...
#13 28.67 Unpacking libfuse-dev (2.9.9-1+deb10u1) ...
#13 28.77 Selecting previously unselected package libgpg-error-dev.

#13 28.78 Preparing to unpack .../57-libgpg-error-dev_1.35-1_amd64.deb ...

#13 28.79 Unpacking libgpg-error-dev (1.35-1) ...

#13 28.88 Selecting previously unselected package libgcrypt20-dev.
#13 28.88 Preparing to unpack .../58-libgcrypt20-dev_1.8.4-5_amd64.deb ...
#13 28.89 Unpacking libgcrypt20-dev (1.8.4-5) ...
#13 29.07 Selecting previously unselected package libmount1:amd64.
#13 29.07 Preparing to unpack .../59-libmount1_2.33.1-0.1_amd64.deb ...
#13 29.08 Unpacking libmount1:amd64 (2.33.1-0.1) ...
... skipping 60 lines ...
#13 31.76 Setting up libldap-common (2.4.47+dfsg-3+deb10u2) ...
#13 31.78 Setting up libicu63:amd64 (63.1-6+deb10u1) ...
#13 31.80 Setting up libkrb5support0:amd64 (1.17-3) ...
#13 31.81 Setting up libsasl2-modules-db:amd64 (2.1.27+dfsg-1+deb10u1) ...
#13 31.83 Setting up libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-4) ...
#13 31.85 Setting up libuv1:amd64 (1.24.1-1) ...
#13 31.87 Setting up libgpg-error-dev (1.35-1) ...

#13 31.88 Setting up librtmp1:amd64 (2.4+20151223.gitfa8646d.1-2) ...
#13 31.90 Setting up libpcre32-3:amd64 (2:8.39-12) ...
#13 31.91 Setting up libuuid1:amd64 (2.33.1-0.1) ...
#13 31.93 Setting up libgnutlsxx28:amd64 (3.6.7-4+deb10u5) ...
#13 31.94 Setting up libpcre2-8-0:amd64 (10.32-5) ...
#13 31.95 Setting up libk5crypto3:amd64 (1.17-3) ...
... skipping 392 lines ...
#16 15.90 Setting up libpython-stdlib:amd64 (2.7.16-1) ...
#16 15.91 Setting up python (2.7.16-1) ...
#16 15.96 Setting up libdevmapper1.02.1:amd64 (2:1.02.155-3) ...
#16 15.99 Setting up dmsetup (2:1.02.155-3) ...
#16 16.01 Setting up nfs-common (1:1.3.4-2.5+deb10u1) ...
#16 16.05 /var/lib/dpkg/info/nfs-common.postinst: 7: /var/lib/dpkg/info/nfs-common.postinst: ucf: not found
#16 16.05 dpkg: error processing package nfs-common (--configure):

#16 16.05  installed nfs-common package post-installation script subprocess returned error exit status 127

#16 16.05 dpkg: dependency problems prevent configuration of nfs-kernel-server:
#16 16.05  nfs-kernel-server depends on nfs-common (= 1:1.3.4-2.5+deb10u1); however:
#16 16.05   Package nfs-common is not configured yet.
#16 16.05 
#16 16.05 dpkg: error processing package nfs-kernel-server (--configure):

#16 16.05  dependency problems - leaving unconfigured
#16 16.05 Processing triggers for libc-bin (2.28-10) ...
#16 16.11 Errors were encountered while processing:
#16 16.11  nfs-common
#16 16.11  nfs-kernel-server
#16 16.25 E: Sub-process /usr/bin/dpkg returned an error code (1)
#16 DONE 16.4s

#17 exporting to image
#17 exporting layers
#17 exporting layers 13.3s done
#17 exporting manifest sha256:012d82a0a01f9303050ad93cb7adeb748eaba5f4e4cddb2098f73f8adba2c197 0.0s done
... skipping 104 lines ...
Git Commit: N/A
Go Version: go1.15
Platform: linux/amd64

Streaming logs below:
STEP: Building a namespace api object, basename blob
W0912 06:27:10.299522   12521 azure_config.go:52] Failed to get cloud-config from secret: failed to get secret azure-cloud-provider: secrets "azure-cloud-provider" not found, skip initializing from secret
I0912 06:27:10.303292   12521 blob.go:102] disable UseInstanceMetadata for controller
I0912 06:27:10.303645   12521 driver.go:80] Enabling controller service capability: CREATE_DELETE_VOLUME
I0912 06:27:10.303662   12521 driver.go:99] Enabling volume access mode: SINGLE_NODE_WRITER
I0912 06:27:10.303680   12521 driver.go:99] Enabling volume access mode: SINGLE_NODE_READER_ONLY
I0912 06:27:10.303694   12521 driver.go:99] Enabling volume access mode: MULTI_NODE_READER_ONLY
I0912 06:27:10.303700   12521 driver.go:99] Enabling volume access mode: MULTI_NODE_SINGLE_WRITER
... skipping 5 lines ...
STEP: Waiting for a default service account to be provisioned in namespace
2020/09/12 06:27:10 Check driver pods if restarts ...
check the driver pods if restarts ...
no driver pods have restarted
======================================================================================
2020/09/12 06:27:11 Check successfully
{"component":"entrypoint","file":"prow/entrypoint/run.go:169","func":"k8s.io/test-infra/prow/entrypoint.Options.ExecuteProcess","level":"error","msg":"Entrypoint received interrupt: terminated","severity":"error","time":"2020-09-12T06:27:25Z"}